Bug 148348 - [patch] graphics/libjpeg-turbo: update to 1.0.0
[patch] graphics/libjpeg-turbo: update to 1.0.0
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Max Brazhnikov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-03 19:30 UTC by swell.k
Modified: 2010-07-10 12:14 UTC (History)
0 users

See Also:


Attachments
a.diff (3.05 KB, patch)
2010-07-03 19:30 UTC, swell.k
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description swell.k 2010-07-03 19:30:01 UTC
- update
- use SF macro, don't limit only to `mesh'
- silence portlint(1) - pull BUILD_DEPENDS a bit up; respect PATH when
  searching for nasm(1), configure script doesn't search only under
  LOCALBASE, anyway
- dispose of pre-configure target in favor of USE_AUTOTOOLS
- sort plist
- remove no longer needed ARCH hack
Comment 1 Edwin Groothuis freebsd_committer 2010-07-03 19:30:08 UTC
Maintainer of graphics/libjpeg-turbo,

Please note that PR ports/148348 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/148348

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-07-03 19:30:10 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 bytestore 2010-07-05 06:17:28 UTC
Hi, Edwin.

Yes, approve this patch!
Thank you very mutch!

EG> Maintainer of graphics/libjpeg-turbo,

EG> Please note that PR ports/148348 has just been submitted.

EG> If it contains a patch for an upgrade, an enhancement or a bug fix
EG> you agree on, reply to this email stating that you approve the patch
EG> and a committer will take care of it.

EG> The full text of the PR can be found at:
EG>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/148348




-- 
bytestore@yandex.ru
Ïîäîëüñêèé Äåíèñ Åâãåíüåâè÷ 
icq161330462
Comment 4 Mark Linimon freebsd_committer 2010-07-05 06:25:35 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Max Brazhnikov freebsd_committer 2010-07-08 17:25:02 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 6 dfilter freebsd_committer 2010-07-10 12:03:20 UTC
makc        2010-07-10 11:03:12 UTC

  FreeBSD ports repository

  Modified files:
    graphics/libjpeg-turbo Makefile distinfo pkg-plist 
  Log:
  Update to 1.0.0
  Use SF macro
  Dispose of pre-configure target in favor of USE_AUTOTOOLS
  Remove no longer needed ARCH hack
  Silence portlint
  Sort plist
  
  PR:             ports/148348
  Submitted by:   Anonymous <swell.k at gmail.com>
  Approved by:    Denis Podolskiy (maintainer)
  
  Revision  Changes    Path
  1.7       +8 -18     ports/graphics/libjpeg-turbo/Makefile
  1.3       +3 -3      ports/graphics/libjpeg-turbo/distinfo
  1.2       +10 -5     ports/graphics/libjpeg-turbo/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Max Brazhnikov freebsd_committer 2010-07-10 12:14:25 UTC
State Changed
From-To: open->closed

Committed. Thanks!